org.icefaces.ace.component.datatable

## Class DataTableTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.datatable.DataTableTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class DataTableTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setAllowTableResizing(javax.el.ValueExpression allowTableResizing)`
    `void` | `setAlwaysExecuteContents(javax.el.ValueExpression alwaysExecuteContents)`
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setCaption(javax.el.ValueExpression caption)`
    `void` | `setClickableHeaderSorting(javax.el.ValueExpression clickableHeaderSorting)`
    `void` | `setColumnOrdering(javax.el.ValueExpression columnOrdering)`
    `void` | `setColumnPinning(javax.el.ValueExpression columnPinning)`
    `void` | `setColumnPinningControlsInHeader(javax.el.ValueExpression columnPinningControlsInHeader)`
    `void` | `setColumnsInheritProperties(javax.el.ValueExpression columnsInheritProperties)`
    `void` | `setConstantRefilter(javax.el.ValueExpression constantRefilter)`
    `void` | `setCurrentPageReportTemplate(javax.el.ValueExpression currentPageReportTemplate)`
    `void` | `setDisabled(javax.el.ValueExpression disabled)`
    `void` | `setDoubleClickSelect(javax.el.ValueExpression doubleClickSelect)`
    `void` | `setEmptyMessage(javax.el.ValueExpression emptyMessage)`
    `void` | `setFilterEvent(javax.el.ValueExpression filterEvent)`
    `void` | `setFilterListener(javax.el.MethodExpression filterListener)`
    `void` | `setFilterValue(javax.el.ValueExpression filterValue)`
    `void` | `setFirst(javax.el.ValueExpression first)`
    `void` | `setGroupedFilterResults(javax.el.ValueExpression groupedFilterResults)`
    `void` | `setHeaderColumnOrdering(javax.el.ValueExpression headerColumnOrdering)`
    `void` | `setHeight(javax.el.ValueExpression height)`
    `void` | `setHiddenScrollableSizing(javax.el.ValueExpression hiddenScrollableSizing)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setLazy(javax.el.ValueExpression lazy)`
    `void` | `setLiveScroll(javax.el.ValueExpression liveScroll)`
    `void` | `setPage(javax.el.ValueExpression page)`
    `void` | `setPageCount(javax.el.ValueExpression pageCount)`
    `void` | `setPaginator(javax.el.ValueExpression paginator)`
    `void` | `setPaginatorAlwaysVisible(javax.el.ValueExpression paginatorAlwaysVisible)`
    `void` | `setPaginatorPosition(javax.el.ValueExpression paginatorPosition)`
    `void` | `setPaginatorTemplate(javax.el.ValueExpression paginatorTemplate)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setRenderRowTabindex(javax.el.ValueExpression renderRowTabindex)`
    `void` | `setReorderableColumns(javax.el.ValueExpression reorderableColumns)`
    `void` | `setResizableColumns(javax.el.ValueExpression resizableColumns)`
    `void` | `setRowIndex(javax.el.ValueExpression rowIndex)`
    `void` | `setRowIndexVar(javax.el.ValueExpression rowIndexVar)`
    `void` | `setRows(javax.el.ValueExpression rows)`
    `void` | `setRowSelectListener(javax.el.MethodExpression rowSelectListener)`
    `void` | `setRowsPerPageTemplate(javax.el.ValueExpression rowsPerPageTemplate)`
    `void` | `setRowStateVar(javax.el.ValueExpression rowStateVar)`
    `void` | `setRowStyleClass(javax.el.ValueExpression rowStyleClass)`
    `void` | `setRowUnselectListener(javax.el.MethodExpression rowUnselectListener)`
    `void` | `setScrollable(javax.el.ValueExpression scrollable)`
    `void` | `setScrollHeight(javax.el.ValueExpression scrollHeight)`
    `void` | `setScrollWidthIE7(javax.el.ValueExpression scrollWidthIE7)`
    `void` | `setSelectionMode(javax.el.ValueExpression selectionMode)`
    `void` | `setSingleSort(javax.el.ValueExpression singleSort)`
    `void` | `setStateMap(javax.el.ValueExpression stateMap)`
    `void` | `setStaticHeaders(javax.el.ValueExpression staticHeaders)`
    `void` | `setStyle(javax.el.ValueExpression style)`
    `void` | `setStyleClass(javax.el.ValueExpression styleClass)`
    `void` | `setTabIndex(javax.el.ValueExpression tabIndex)`
    `void` | `setToggleOnInvalidEdit(javax.el.ValueExpression toggleOnInvalidEdit)`
    `void` | `setValue(javax.el.ValueExpression value)`
    `void` | `setVar(javax.el.ValueExpression var)`
    `void` | `setWidgetVar(javax.el.ValueExpression widgetVar)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### DataTableTag

          public DataTableTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setAllowTableResizing

          public void setAllowTableResizing(javax.el.ValueExpression allowTableResizing)

    - #### setAlwaysExecuteContents

          public void setAlwaysExecuteContents(javax.el.ValueExpression alwaysExecuteContents)

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setCaption

          public void setCaption(javax.el.ValueExpression caption)

    - #### setClickableHeaderSorting

          public void setClickableHeaderSorting(javax.el.ValueExpression clickableHeaderSorting)

    - #### setColumnOrdering

          public void setColumnOrdering(javax.el.ValueExpression columnOrdering)

    - #### setColumnPinning

          public void setColumnPinning(javax.el.ValueExpression columnPinning)

    - #### setColumnPinningControlsInHeader

          public void setColumnPinningControlsInHeader(javax.el.ValueExpression columnPinningControlsInHeader)

    - #### setColumnsInheritProperties

          public void setColumnsInheritProperties(javax.el.ValueExpression columnsInheritProperties)

    - #### setConstantRefilter

          public void setConstantRefilter(javax.el.ValueExpression constantRefilter)

    - #### setCurrentPageReportTemplate

          public void setCurrentPageReportTemplate(javax.el.ValueExpression currentPageReportTemplate)

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression disabled)

    - #### setDoubleClickSelect

          public void setDoubleClickSelect(javax.el.ValueExpression doubleClickSelect)

    - #### setEmptyMessage

          public void setEmptyMessage(javax.el.ValueExpression emptyMessage)

    - #### setFilterEvent

          public void setFilterEvent(javax.el.ValueExpression filterEvent)

    - #### setFilterListener

          public void setFilterListener(javax.el.MethodExpression filterListener)

    - #### setFilterValue

          public void setFilterValue(javax.el.ValueExpression filterValue)

    - #### setFirst

          public void setFirst(javax.el.ValueExpression first)

    - #### setGroupedFilterResults

          public void setGroupedFilterResults(javax.el.ValueExpression groupedFilterResults)

    - #### setHeaderColumnOrdering

          public void setHeaderColumnOrdering(javax.el.ValueExpression headerColumnOrdering)

    - #### setHeight

          public void setHeight(javax.el.ValueExpression height)

    - #### setHiddenScrollableSizing

          public void setHiddenScrollableSizing(javax.el.ValueExpression hiddenScrollableSizing)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setLazy

          public void setLazy(javax.el.ValueExpression lazy)

    - #### setLiveScroll

          public void setLiveScroll(javax.el.ValueExpression liveScroll)

    - #### setPage

          public void setPage(javax.el.ValueExpression page)

    - #### setPageCount

          public void setPageCount(javax.el.ValueExpression pageCount)

    - #### setPaginator

          public void setPaginator(javax.el.ValueExpression paginator)

    - #### setPaginatorAlwaysVisible

          public void setPaginatorAlwaysVisible(javax.el.ValueExpression paginatorAlwaysVisible)

    - #### setPaginatorPosition

          public void setPaginatorPosition(javax.el.ValueExpression paginatorPosition)

    - #### setPaginatorTemplate

          public void setPaginatorTemplate(javax.el.ValueExpression paginatorTemplate)

    - #### setRenderRowTabindex

          public void setRenderRowTabindex(javax.el.ValueExpression renderRowTabindex)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setReorderableColumns

          public void setReorderableColumns(javax.el.ValueExpression reorderableColumns)

    - #### setResizableColumns

          public void setResizableColumns(javax.el.ValueExpression resizableColumns)

    - #### setRowIndex

          public void setRowIndex(javax.el.ValueExpression rowIndex)

    - #### setRowIndexVar

          public void setRowIndexVar(javax.el.ValueExpression rowIndexVar)

    - #### setRowSelectListener

          public void setRowSelectListener(javax.el.MethodExpression rowSelectListener)

    - #### setRowStateVar

          public void setRowStateVar(javax.el.ValueExpression rowStateVar)

    - #### setRowStyleClass

          public void setRowStyleClass(javax.el.ValueExpression rowStyleClass)

    - #### setRowUnselectListener

          public void setRowUnselectListener(javax.el.MethodExpression rowUnselectListener)

    - #### setRows

          public void setRows(javax.el.ValueExpression rows)

    - #### setRowsPerPageTemplate

          public void setRowsPerPageTemplate(javax.el.ValueExpression rowsPerPageTemplate)

    - #### setScrollHeight

          public void setScrollHeight(javax.el.ValueExpression scrollHeight)

    - #### setScrollWidthIE7

          public void setScrollWidthIE7(javax.el.ValueExpression scrollWidthIE7)

    - #### setScrollable

          public void setScrollable(javax.el.ValueExpression scrollable)

    - #### setSelectionMode

          public void setSelectionMode(javax.el.ValueExpression selectionMode)

    - #### setSingleSort

          public void setSingleSort(javax.el.ValueExpression singleSort)

    - #### setStateMap

          public void setStateMap(javax.el.ValueExpression stateMap)

    - #### setStaticHeaders

          public void setStaticHeaders(javax.el.ValueExpression staticHeaders)

    - #### setStyle

          public void setStyle(javax.el.ValueExpression style)

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression styleClass)

    - #### setTabIndex

          public void setTabIndex(javax.el.ValueExpression tabIndex)

    - #### setToggleOnInvalidEdit

          public void setToggleOnInvalidEdit(javax.el.ValueExpression toggleOnInvalidEdit)

    - #### setValue

          public void setValue(javax.el.ValueExpression value)

    - #### setVar

          public void setVar(javax.el.ValueExpression var)

    - #### setWidgetVar

          public void setWidgetVar(javax.el.ValueExpression widgetVar)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.